> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/for-developers/rest-api/core/location-stats/list-the-connected-devices-of-a-user-in-a-location.md).

# List the connected devices of a user in a location

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.0.3"},"tags":[{"name":"location stats","description":"Traffic statistics and active connections per location."}],"security":[{"cookie":[]},{"api_token":[]}],"components":{"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"defguard_session"},"api_token":{"type":"http","scheme":"bearer"}},"schemas":{"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}},"paths":{"/api/v1/network/{location_id}/stats/connected_users/{user_id}/devices":{"get":{"tags":["location stats"],"summary":"List the connected devices of a user in a location","operationId":"location_connected_user_devices","parameters":[{"name":"location_id","in":"path","description":"ID of the location.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"user_id","in":"path","description":"ID of the user.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"from","in":"query","description":"Start of the reported period as an RFC 3339 timestamp. Defaults to 1 hour ago.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"All connected devices of the user.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object"}}}}},"401":{"description":"Session is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Requires admin privileges.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Network or user not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Unable to get connected user devices.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
